<?php 
include("functions/gazpo_options.php");
include("widgets/posts_tabs.php");
include("widgets/ad125.php");

function my_init() {
		wp_enqueue_script('jquery');
		wp_register_script('gazpo', get_template_directory_uri().'/js/gazpo_custom.js');
		wp_enqueue_script('gazpo');	
	}
add_action('init', 'my_init');

global $options;

if ( !isset($content_width) ) {
	$content_width = 600;
}

if ( function_exists('add_theme_support') ) {
	add_theme_support('automatic-feed-links');
}

if ( function_exists('add_theme_support') ){
	add_theme_support('post-thumbnails');
}

if ( function_exists('add_editor_style') ) {
	add_editor_style();
}

add_custom_background();

define('HEADER_TEXTCOLOR', 'ffffff');
define('HEADER_IMAGE', '%s/images/default_header.png');
define('HEADER_IMAGE_WIDTH', 47);
define('HEADER_IMAGE_HEIGHT', 47);

function gazpo_header_style() {  ?>
	<style type="text/css">
        #header {
            background: url(<?php header_image(); ?>);
        }
		
		#footer {
            background: url(<?php header_image(); ?>);
        }		
    </style>
	
<?php 
}

function gazpo_admin_header_style() { ?>

	<style type="text/css">
         #headimg {
            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
            background: repeat-x;
        }		
    </style>
	<?php 
	}

if ( function_exists('add_custom_image_header') ) 
	add_custom_image_header('gazpo_header_style', 'gazpo_admin_header_style');

if ( function_exists('register_sidebar') )
    register_sidebar( array(
		'name' => __( 'Top Sidebar Widgets', 'gazpo' ),
		'id' => 'top-sidebar-widgets',
		'description' => __( 'The primary sidebar widget area. Leave blank to use default widgets. Use Secondary Sidebar Widgets.', 'gazpo' ),
		'before_widget' => '<div id="%1$s" class="section widget-container %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );

function gazpo_pagination( $type = 'plain', $endsize = 1, $midsize = 1 ) {
	global $wp_query, $wp_rewrite;	
	$wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

	if ( ! in_array( $type, array( 'plain', 'list', 'array' ) ) ) $type = 'plain';
	$endsize = (int) $endsize;
	$midsize = (int) $midsize;

	$pagination = array(
		'base' => @add_query_arg('paged','%#%'),
		'format' => '',
		'total' => $wp_query->max_num_pages,
		'current' => $current,
		'show_all' => false,
		'end_size' => $endsize,
		'mid_size' => $midsize,
		'type' => $type,
		'prev_text' => '&lt;&lt;',
		'next_text' => '&gt;&gt;'
	);

	if( $wp_rewrite->using_permalinks() )
		$pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );

	if( !empty($wp_query->query_vars['s']) )
		$pagination['add_args'] = array( 's' => get_query_var( 's' ) );

	return paginate_links( $pagination );
}

function loadbxslider(){
	$theme_dir = get_template_directory_uri();
	wp_enqueue_script('bxscript', $theme_dir.'/js/bxslider/jquery.bxSlider.min.js', array('jquery'));
}
add_action('init', 'loadbxslider');

function register_my_menus() {
register_nav_menus( array(
		'header_menu' => __( 'Header Navigation', 'gazpo' ),
		) );	
}
add_action( 'init', 'register_my_menus' );

function new_excerpt_length($length) {
	return 40;
}
add_filter('excerpt_length', 'new_excerpt_length');

?>