<?php
/**
 * Theme:  	 Amaranthine
 * Created:  October 2011.
 * Author:   Sami Ch.
 * URL: 	 http://gazpo.com
 * 
 **/
 ?>
 
<?php
$themename = "Amaranthine Theme";
$shortname = "gazpo";
$version = "1.0";
$option_group = $shortname.'_theme_option_group';
$option_name = $shortname.'_theme_options';

$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
	}
array_unshift($wp_cats, "Choose a category");
add_action('admin_init', 'gazpo_init');

function gazpo_init() {
	$theme_dir = get_template_directory_uri();
	wp_register_script('tabs', $theme_dir.'/js/gazpo_admin_tabs.js');
	wp_enqueue_script('tabs');
	
	wp_register_style('gazpo_options_css', $theme_dir.'/functions/options.css');
	wp_enqueue_style('gazpo_options_css');
}

//add settings menu
add_action('admin_menu', 'create_gazpo_menu');
function create_gazpo_menu() {
	global $themename;
	add_theme_page( __( $themename.' Theme Options','gazpo' ), __( 'Theme Options', 'gazpo' ), 'edit_theme_options', basename(__FILE__), 'gazpo_settings_page' );
}

//register settings
add_action( 'admin_init', 'register_gazpo_settings' );
function register_gazpo_settings() {
	global $themename, $shortname, $version, $gazpo_options, $option_group, $option_name;
	register_setting( $option_group, $option_name);
}

// Create theme options
global $gazpo_options;
$gazpo_options = array (
	
	array(  "name" => "Gazpo Theme Settings",
			"type" => "title"),
	
	array(  "type" => "open"),
	array(  "type" => "menu-open"),
	
	array(  "type" => "menu-item",
			"id" => "1",
			"name" => "Homepage"),
			
	array(  "type" => "menu-item",
			"id" => "2",
			"name" => "Social Links"),
			
	array(  "type" => "menu-item",
			"id" => "3",
			"name" => "Miscellaneous"),
	
	array(  "type" => "menu-close"),
	
	array(  "type" => "tab-open",
			"id" => "1",
			"name" => "Homepage Settings"),
			
	array(  "type" => "preheader",
			"name" => "Homepage Settings"),
	
	array(	"name" => __('Logo URL','gazpo'),
			"desc" => __('Enter full URL for logo image starting <strong>with http:// </strong>.','gazpo'),
			"id" => $shortname.'_logo_url',
			"type" => "text",
			"std" => get_template_directory_uri().'/images/logo.png'),
			
	array(	"name" => __('Favicon URL','gazpo'),
			"desc" => __('Enter full URL for favicon image starting <strong>with http:// </strong>.','gazpo'),
			"id" => $shortname.'_favicon_url',
			"type" => "text",
			"std" => ""),
	
	array(	"name" => __('Custom Feed URL','gazpo'),
			"desc" => __('For example FeedBurner. Please enter full URL starting <strong>with http://</strong>.','gazpo'),
			"id" => $shortname.'_feed_url',
			"type" => "text",
			"std" => get_bloginfo('rss2_url')),
			
	
	array(  "name" => __('Show slider?','gazpo'),
			"desc" => __('Do you want to show slider on homepage?','gazpo'),  
			"id" => $shortname.'_slider_show',
			"options" => array('Yes', 'No'),
			"std" => "Yes",
			"type" => "select"),
	
	array(	"name" => __('Slider Category','gazpo'),
			"desc" => __('   Last 5 posts form the selected categoey will appear in slider. Remember to set <strong>Post Thumbnail</strong> when adding new post.','gazpo'),
			"id" => $shortname.'_slider_category',
			"type" => "select",
			"options" => $wp_cats,
			"std" => ""),
	
	array(  "type" => "tab-close"),
	
	array(  "type" => "tab-open",
			"id" => "2",
			"name" => "Social Links"),
         
	array(  "type" => "preheader",
			"name" => "Set up social links"),	

	array(	"name" => __('Twitter ID','gazpo'),
			"desc" => __('Your Twitter page URL. Please enter full URL starting <strong>with http://</strong>.','gazpo'),
			"id" => $shortname.'_twt_id',
			"type" => "text",
			"std" => "http://twitter.com/gazpodotcom"),

	array(	"name" => __('Facebook Page','gazpo'),
			"desc" => __('Your Facebook page URL. Please enter full URL starting <strong>with http://</strong>.','gazpo'),
			"id" => $shortname.'_fb_id',
			"type" => "text",
			"std" => ""),
			
	array(	"name" => __('Contact Page','gazpo'),
			"desc" => __('Your contact page URL, starting <strong>with http://</strong>. For example <strong> http://gazpo.com/contact/ </strong>.','gazpo'),
			"id" => $shortname.'_contact_url',
			"type" => "text",
			"std" => ""),
	
	array(  "type" => "tab-close"),
	
	array(  "type" => "tab-open",
			"id" => "3",
			"name" => "Miscellaneous"),
			
	array(  "type" => "preheader",
			"name" => "Add styles to theme"),

	array( "name" => __('Custom CSS','gazpo'),
			"desc" => __('If you want to add extra CSS code in the theme. If code conflicts, it will override existing code.','gazpo'),
			"id" => $shortname.'_custom_css',
			"type" => "textarea",
			"std" => ""),
			
	array(  "type" => "preheader",
			"name" => "Tracking Code"),

	array( "name" => __('Tracking','gazpo'),
			"desc" => __('If you want to add any tracking code (eg. Google Analytics). It will appear in the footer of the theme.','gazpo'),
			"id" => $shortname.'_tracking_code',
			"type" => "textarea",
			"std" => ""),

	array(  "type" => "tab-close"),
	array(  "type" => "close")	
	
	);


function gazpo_settings_page() {
	$theme_dir = get_template_directory_uri();
   global $themename, $shortname, $version, $gazpo_options, $option_group, $option_name;
?>

	<div id="gazpo-admin">
	
		<div class="header">	
			<div class="gazpo-logo">
				<a href="#" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/functions/images/logo.png" alt="" /></a>
			</div>		
			<div class="theme-info">		
				<h3><?php echo $themename; ?></h3>			
				<ul>
					<li class="docs"><a href="http://gazpo.com/2011/10/amaranthine/" target="_blank">Theme Support</a></li>
					<li class="support"><a href="http://gazpo.com/contact/" target="_blank">Contact</a></li>					
				</ul>
			</div>
		</div><!-- /header -->		

	<form method="post" action="options.php">
		<?php settings_fields( $option_group ); ?>		
		<?php $options = get_option( $option_name ); ?>  
		
		<?php foreach ($gazpo_options as $value) {
		
		if ( isset($value['id']) ) { $valueid = $value['id'];}
		switch ( $value['type'] ) {		
		case "open":
		break;
		
		case "close":
		break;
		
		case "menu-open":
		?>
				<div class="menu">
					<ul class="tabs">
		<?php
		break;
		case "menu-item":
		?>
			<li>
				<a href="#tab<?php echo $valueid; ?>"><?php echo $value['name']; ?></a>
			</li>
		<?php
		break;
		case"menu-close":
		?>
					</ul> <!-- /tabls -->
				</div><!-- /menu -->
  
			<div class="tab_container">
			<?php if ( isset ( $_POST['reset'] ) ): ?>		
			<?php
				global $wpdb, $themename, $shortname, $version, $gazpo_options, $option_group, $option_name;
				delete_option('gazpo_theme_options');
				wp_cache_flush(); 
			?>		
			<div class="updated fade">
				<p><strong><?php _e( $themename. ' options reset.' ); ?></strong></p>				
			</div>

			<?php elseif ( isset ( $_REQUEST['settings-updated'] ) ): ?>			
				<div class="updated fade">
					<p><strong><?php _e( $themename. ' options saved.' ); ?></strong></p>				
				</div>
			<?php endif; ?>
			
			<form method="post" action="">
		<?php 
		break;		
		case "tab-open":
		?>
			<div id="tab<?php echo $valueid; ?>" class="tab_content">
				<div class="options-form">
				<h3><?php echo $value['name']; ?></h3>									
		<?php
		break;
		case "tab-close":
		?>			
				</div><!-- /options-forms-->
			</div><!-- /tab -->

		<?php
		break;
		case "preheader":
		?>
			<h4><?php echo $value['name']; ?></h4>
		<?php 
		break;			
		case 'text':
		?>		
		<div class="field">
			<label><?php echo $value['name']; ?></label>						
			<input class="input" name="<?php echo $option_name.'['.$valueid.']'; ?>" id="<?php echo $option_name.'['.$valueid.']'; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( isset( $options[$valueid]) ){ esc_attr_e($options[$valueid]); } else { esc_attr_e($value['std']); } ?>" />
			<p><?php echo $value['desc']; ?></p>
		</div>		

		<?php
		break;
		case 'textarea':  //include another text-area with more height for css ie. wide-text-area 
		?>
		<div class="field">
				<label><?php echo $value['name']; ?></label>							
				<textarea class="textarea" name="<?php echo $option_name.'['.$valueid.']'; ?>" type="<?php echo $option_name.'['.$valueid.']'; ?>" ><?php if ( isset( $options[$valueid]) ){ esc_attr_e($options[$valueid]); } else { esc_attr_e($value['std']); } ?></textarea>				
				<p><?php echo $value['desc']; ?></p>			
		</div>

		<?php 
		break;
		case 'select':
		?>
		<div class="field">
				<label><?php echo $value['name']; ?></label>
				
				<select name="<?php echo $option_name.'['.$valueid.']'; ?>" id="<?php echo $option_name.'['.$valueid.']'; ?>">
				<?php foreach ($value['options'] as $option) { ?>
					<option <?php if ($options[$valueid] == $option) { echo 'selected="selected"'; }?>><b> <?php echo $option; ?></b></option><?php } ?>
				</select>				
				<p><?php echo $value['desc']; ?></p>
		</div>
		
		<?php
		break;				
		case "checkbox":
		?>		
		<div class="field">
				<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
											
				<?php if( isset( $options[$valueid] ) ){ $checked = "checked=\"checked\""; } else { $checked = "";} ?>
				<input type="checkbox" name="<?php echo $option_name.'['.$valueid.']'; ?>" id="<?php echo $option_name.'['.$valueid.']'; ?>" value="true" <?php echo $checked; ?> />
				
				<p><?php echo $value['desc']; ?></p>
		</div>		
		<?php
		break;	
		}
	}
	?>
	<p class="submit">
		<input class="button button-primary" type="submit" name="save" value="<?php _e('Save All Changes', 'gazpo') ?>" />
	</p>
</form>

	<form method="post" action="">
		<p class="submit">
			<input class="button button-secondary" type="submit" name="reset" value="<?php _e('Reset Settings', 'gazpo') ?>" />
			<input type="hidden" name="action" value="reset" />
			<span><?php _e('Caution: All settings in the option panel will be reset.','gazpo') ?></span>
		</p>
	</form>
</div><!-- /tab_container-->
</div><!-- /gazpo-admin -->
<?php 
	} 
?>