<?php
/**
 * Theme:  	 Amaranthine
 * Created:  October 2011.
 * Author:   Sami Ch.
 * URL: 	 http://gazpo.com
 * 
 **/
 ?>
 
<?php
global $options;
$options = get_option('gazpo_theme_options'); 
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />

<title>
	<?php
		global $page, $paged;
		wp_title( '|', true, 'right' );
		bloginfo( 'name' );
	?>
</title>

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php
	
	if ( isset ($options['gazpo_custom_css']) &&  ($options['gazpo_custom_css']!="") ) {
		$output = '<style type="text/css">'."\n";
		$output .= $options['gazpo_custom_css'] . "\n";
		$output .= '</style>'."\n";
		echo $output;
	}

	if ( isset ($options['gazpo_feed_url']) &&  ($options['gazpo_feed_url']!="") ) {
	echo '<link rel="alternate" type="application/rss+xml" href="'.$options['gazpo_feed_url'].'" title="'. get_bloginfo('name') .' RSS Feeds"/>'."\n";
	}
	
	if ( isset ($options['gazpo_favicon_url']) &&  ($options['gazpo_favicon_url']!="") ) { ?>
	
	<link rel="shortcut icon" href="<?php echo $options['gazpo_favicon_url']; ?>" />
	<?php 
	}

	if ( is_singular() ) wp_enqueue_script( 'comment-reply' );	
	wp_head();
?>
</head>

<script type="text/javascript">
jQuery(document).ready(function(){
  jQuery('#slider').bxSlider({
    mode: 'horizontal',
    infiniteLoop: true,
    speed: 3000,
    auto: true,
    pager: true,
    controls: false
  });
});
</script>

<body <?php body_class(); ?>>

	<div id="header">		
		<div class="wrap">				
			<?php wp_nav_menu( array('sort_column' => 'menu_order', 'menu' => 'header_menu') ); ?>

			<ul class="social">
				
				<?php if ( isset ($options['gazpo_twt_id']) &&  ($options['gazpo_twt_id']!="") ) { ?>
				<li><a href="<?php echo $options['gazpo_twt_id']; ?>" ><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/twitter1.png" height="24px"></a></li>
				<?php } ?>
				
				<?php if ( isset ($options['gazpo_fb_id']) &&  ($options['gazpo_fb_id']!="") ) { ?>
				<li><a href="<?php echo $options['gazpo_fb_id']; ?>" ><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/fb.png" height="24px"></a></li>
				<?php } ?>
				<?php if ( isset ($options['gazpo_contact_url']) &&  ($options['gazpo_contact_url']!="") ) { ?>
				<li><a href="<?php echo $options['gazpo_contact_url']; ?>" ><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/email.png" height="24px"></a></li>
				<?php } ?>
				
				<?php if ( isset ($options['gazpo_feed_url']) &&  ($options['gazpo_feed_url']!="") ) { ?>
				<li><a href="<?php echo $options['gazpo_feed_url']; ?>" ><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/rss.png" height="24px"></li>
				<?php } else {?>
				<li><a href="<?php get_bloginfo('rss2_url'); ?>" ><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/rss.png" height="24px"></li>
				<?php } ?>
			</ul>
				
		</div><!-- /wrap -->
		
	</div><!-- /header -->
	
<div id="wrapper">	
	
	<div id="logo">
	
		<?php if ( isset ($options['gazpo_logo_url']) &&  ($options['gazpo_logo_url']!="") ) { ?>
		
			<a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>">
				<img src="<?php echo $options['gazpo_logo_url']; ?>" alt="<?php bloginfo( 'name' ); ?>" />
			</a>
			
		<?php } else {?>
		       
			<h1 id="site-title">
				<a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>">
					<?php bloginfo('name'); ?>
				</a>
			</h1> 
			
			<h3>
					<?php bloginfo('description'); ?>
			</h3>
		<?php } ?>	
				
	</div>

	